## gdal 3.12.1+dfsg

=== swig/java/CMakeLists.txt ===
include(GdalStandardIncludes)

if (CMAKE_CXX_FLAGS)
  string(REPLACE "-Werror " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
  string(REPLACE "/WX " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
endif ()

# Do not remove -fno-strict-aliasing while SWIG generates weird code in upcast methods
# http://trac.osgeo.org/gdal/changeset/16006
#
# https://swig.org//Doc4.3/Java.html#Java_compiling_dynamic
if (NOT MSVC)
  add_compile_options("-fno-strict-aliasing")
endif()

list(APPEND GDAL_SWIG_COMMON_INTERFACE_FILES
   ${PROJECT_SOURCE_DIR}/swig/include/java/callback.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/gdalconst_java.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/gdal_java.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/gnm_java.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/java_exceptions.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/ogr_java_extend.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/ogr_java.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/osr_java.i
   ${PROJECT_SOURCE_DIR}/swig/include/java/typemaps_java.i)

function (GDAL_JAVA_WRAP)
  set(_options CXX)
  set(_oneValueArgs TARGET)
  set(_multiValueArgs ARGS)
  cmake_parse_arguments(_SWIG "${_options}" "${_oneValueArgs}" "${_multiValueArgs}" ${ARGN})
  if (_SWIG_CXX)
    set(SWIG_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/${_SWIG_TARGET}/${_SWIG_TARGET}_wrap.cpp)
    add_custom_command(
      OUTPUT ${SWIG_OUTPUT}
      COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/${_SWIG_TARGET}
      COMMAND ${SWIG_EXECUTABLE} ${_SWIG_ARGS} ${SWIG_DEFINES} -I${PROJECT_SOURCE_DIR}/gdal -c++ -java -o ${SWIG_OUTPUT}
              ${PROJECT_SOURCE_DIR}/swig/include/${_SWIG_TARGET}.i
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      DEPENDS ${GDAL_SWIG_COMMON_INTERFACE_FILES} ${PROJECT_SOURCE_DIR}/swig/include/java/typemaps_java.i
              ${PROJECT_SOURCE_DIR}/swig/include/java/${_SWIG_TARGET}_java.i)
    set_source_files_properties(${SWIG_OUTPUT} PROPERTIES GENERATED 1)
  else ()
    set(SWIG_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/${_SWIG_TARGET}/${_SWIG_TARGET}_wrap.c)
    add_custom_command(
      OUTPUT ${SWIG_OUTPUT}
      COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/${_SWIG_TARGET}
      COMMAND ${SWIG_EXECUTABLE} ${_SWIG_ARGS} ${SWIG_DEFINES} -I${PROJECT_SOURCE_DIR}/gdal -java -o ${SWIG_OUTPUT}
              ${PROJECT_SOURCE_DIR}/swig/include/${_SWIG_TARGET}.i
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      DEPENDS ${GDAL_SWIG_COMMON_INTERFACE_FILES} ${PROJECT_SOURCE_DIR}/swig/include/java/typemaps_java.i
              ${PROJECT_SOURCE_DIR}/swig/include/java/${_SWIG_TARGET}_java.i)
    set_source_files_properties(${SWIG_OUTPUT} PROPERTIES GENERATED 1)
  endif ()

endfunction ()

gdal_java_wrap(
  TARGET gdalconst
  ARGS -Wall
       -I${PROJECT_SOURCE_DIR}/swig/include
       -I${PROJECT_SOURCE_DIR}/swig/include/java
       -outdir
       ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/gdalconst/
       -package
       "org.gdal.gdalconst")
foreach (tgt IN ITEMS gdal ogr osr gnm)
  gdal_java_wrap(
    TARGET ${tgt}
    CXX
    ARGS -Wall
         -I${PROJECT_SOURCE_DIR}/swig/include
         -I${PROJECT_SOURCE_DIR}/swig/include/java
         -outdir
         ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/${tgt}/
         -package
         "org.gdal.${tgt}")
endforeach ()

# Build jni library
set(GDALALLJNI_SOURCES
    ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/gdal/gdal_wrap.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/gdalconst/gdalconst_wrap.c
    ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/ogr/ogr_wrap.cpp ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/osr/osr_wrap.cpp)
if (ENABLE_GNM)
  list(APPEND GDALALLJNI_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/org/gdal/gnm/gnm_wrap.cpp)
endif ()
add_library(gdalalljni SHARED ${GDALALLJNI_SOURCES})

set_property(TARGET gdalalljni PROPERTY UNITY_BUILD OFF)

gdal_standard_includes(gdalalljni)
target_include_directories(gdalalljni PRIVATE ${JNI_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
if (ENABLE_GNM)
  target_include_directories(gdalalljni PRIVATE $<TARGET_PROPERTY:gnm,SOURCE_DIR>)
endif ()
get_property(_isMultiConfig GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
if (_isMultiConfig)
  set_target_properties(gdalalljni PROPERTIES LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_CURRENT_BINARY_DIR}/debug
                                              LIBRARY_OUTPUT_DIRECTORY_REL ${CMAKE_CURRENT_BINARY_DIR})
else ()
  set_property(TARGET gdalalljni PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif ()
target_link_libraries(gdalalljni PRIVATE $<TARGET_NAME:${GDAL_LIB_TARGET_NAME}>)

# Build javadoc
file(STRINGS ${PROJECT_SOURCE_DIR}/VERSION GDAL_VERSION)

if(Java_JAVADOC_EXECUTABLE)
    option(GDAL_JAVA_GENERATE_JAVADOC "Generate Javadoc of Java bindings" ON)
else()
    option(GDAL_JAVA_GENERATE_JAVADOC "Generate Javadoc of Java bindings" OFF)
endif()
if (GDAL_JAVA_GENERATE_JAVADOC)
  if (NOT Java_JAVADOC_EXECUTABLE)
      message(FATAL_ERROR "javadoc executable is a requirement for GDAL_JAVA_GENERATE_JAVADOC")
  endif()
  add_executable(add_javadoc add_javadoc.c)
  set(JAVADOC_ZIP ${CMAKE_CURRENT_BINARY_DIR}/javadoc.zip)
  add_custom_command(
    OUTPUT ${JAVADOC_ZIP}
    COMMAND
      ${CMAKE_COMMAND} "-DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}" "-DBUILD_DIR=${CMAKE_CURRENT_BINARY_DIR}"
      "-DJava_JAVADOC_EXECUTABLE=${Java_JAVADOC_EXECUTABLE}" "-DADD_JAVADOC_EXE=$<TARGET_FILE:add_javadoc>"
      "-DGDAL_VERSION=${GDAL_VERSION}" -P "${CMAKE_CURRENT_SOURCE_DIR}/build_java_doc.cmake"
    VERBATIM
    DEPENDS ${GDALALLJNI_SOURCES} add_javadoc)
endif ()

# Build gdal.jar, test programs and Maven artifacts
file(GLOB SOURCE_APPS "${CMAKE_CURRENT_SOURCE_DIR}/apps/*.java")
set(JAR_OUTPUT gdal.jar)

set(MAVEN_DIR ${CMAKE_CURRENT_BINARY_DIR}/build/maven/org/gdal/gdal/${GDAL_VERSION})
set(GDAL_VERSION_JAR ${MAVEN_DIR}/gdal-${GDAL_VERSION}.jar)
set(GDAL_VERSION_SOURCES_JAR ${MAVEN_DIR}/gdal-${GDAL_VERSION}-sources.jar)
set(GDAL_VERSION_POM ${MAVEN_DIR}/gdal-${GDAL_VERSION}.pom)
set(MAVEN_ARTIFACTS ${GDAL_VERSION_JAR} ${GDAL_VERSION_SOURCES_JAR} ${GDAL_VERSION_POM})
if (GDAL_JAVA_GENERATE_JAVADOC)
  set(GDAL_VERSION_JAVADOC_JAR ${MAVEN_DIR}/gdal-${GDAL_VERSION}-javadoc.jar)
  list(APPEND MAVEN_ARTIFACTS ${GDAL_VERSION_JAVADOC_JAR})
endif ()

# Variables used to sign artifacts and generate swig/java/build/maven/bundle.jar
set(GPG_KEY
    ""
    CACHE STRING "GPG key used to sign Java binding artifacts")
set(GPG_PASS
    ""
    CACHE STRING "GPG pass phrase used to sign Java binding artifacts")
mark_as_advanced(GPG_KEY GPG_PASS)
if (GPG_KEY)
  set(ANT_TARGET maven_sign)
  set(GPG_KEY_PROPERTY "-Dgpg.key=${GPG_KEY}")
  if (GPG_PASS)
    set(GPG_PASS_PROPERTY "-Dgpg.pass=${GPG_PASS}")
  endif ()
else ()
  set(ANT_TARGET maven)
endif ()

add_custom_command(
  OUTPUT ${JAR_OUTPUT} ${MAVEN_ARTIFACTS}
  COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/java"
  COMMAND
    ${ANT} ${ANT_TARGET} -f ${CMAKE_CURRENT_SOURCE_DIR}/build.xml ${GPG_KEY_PROPERTY} ${GPG_PASS_PROPERTY}
    -Dskip_make_doc=true -Dbuild_dir=${CMAKE_CURRENT_BINARY_DIR} -Dversion_filename=${PROJECT_SOURCE_DIR}/VERSION
    -Dsource_apps=${CMAKE_CURRENT_SOURCE_DIR}/apps
  VERBATIM
  DEPENDS ${JAVADOC_ZIP} ${GDALALLJNI_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/build.xml ${SOURCE_APPS})

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "org;org_patched;build;tmp_test;java")

# java_binding target
add_custom_target(java_binding ALL DEPENDS gdalalljni ${MAVEN_ARTIFACTS})

# Install

set(GDAL_JAVA_JNI_INSTALL_DIR
    "${CMAKE_INSTALL_LIBDIR}/jni"
    CACHE PATH "Installation sub-directory for the JNI shared library of Java bindings")

install(
  TARGETS gdalalljni
  COMPONENT java
  DESTINATION ${GDAL_JAVA_JNI_INSTALL_DIR})

set(GDAL_JAVA_INSTALL_DIR
    "${CMAKE_INSTALL_DATADIR}/java"
    CACHE PATH "Installation sub-directory for .jar files of Java bindings")

install(
  FILES ${GDAL_VERSION_JAR} ${GDAL_VERSION_JAVADOC_JAR} ${GDAL_VERSION_SOURCES_JAR} ${GDAL_VERSION_POM}
  COMPONENT java
  DESTINATION ${GDAL_JAVA_INSTALL_DIR})

# Tests
if (Java_Runtime_FOUND AND BUILD_TESTING)

  file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/tmp_test)
  file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/tmp_test)
  file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/test_data/byte.tif DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/tmp_test)
  file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/test_data/iso_8859_1.csv DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/tmp_test)

  if (WIN32)
    set(CLASSPATH_SEPARATOR "\\;")
  else ()
    set(CLASSPATH_SEPARATOR ":")
  endif ()

  include(GdalSetRuntimeEnv)
  gdal_set_runtime_env(TEST_ENV)

  set(JAVA_RUN ${Java_JAVA_EXECUTABLE} "-Djava.library.path=$<SHELL_PATH:$<TARGET_FILE_DIR:gdalalljni>>" -cp
               "gdal.jar${CLASSPATH_SEPARATOR}build/apps")
  add_test(NAME java_GDALOverviews COMMAND ${JAVA_RUN} GDALOverviews tmp_test/byte.tif "NEAREST" 2 4)
  add_test(NAME java_gdalinfo COMMAND ${JAVA_RUN} gdalinfo -checksum tmp_test/byte.tif)
  add_test(NAME java_ogr2ogr_1 COMMAND ${JAVA_RUN} ogr2ogr tmp_test/out.shp
                                       ${CMAKE_CURRENT_SOURCE_DIR}/test_data/poly.shp -progress -overwrite)
  add_test(NAME java_ogrinfo_1 COMMAND ${JAVA_RUN} ogrinfo -ro -al tmp_test/out.shp)
  set_tests_properties(java_ogrinfo_1 PROPERTIES DEPENDS java_ogr2ogr_1)
  add_test(NAME java_ogrinfo_2 COMMAND ${JAVA_RUN} ogrinfo -ro -al tmp_test/out.shp -fid 1)
  set_tests_properties(java_ogrinfo_1 PROPERTIES DEPENDS java_ogr2ogr_1)
  add_test(NAME java_ogr2ogr_2 COMMAND ${JAVA_RUN} ogr2ogr_new tmp_test/out2.shp
                                       ${CMAKE_CURRENT_SOURCE_DIR}/test_data/poly.shp -progress -overwrite)
  add_test(NAME java_ogr2ogr_3 COMMAND ${JAVA_RUN} ogr2ogr_new tmp_test/out2.shp
                                       ${CMAKE_CURRENT_SOURCE_DIR}/test_data/poly.shp -append)
  set_tests_properties(java_ogr2ogr_3 PROPERTIES DEPENDS java_ogr2ogr_2)
  add_test(NAME java_ogrinfo_3 COMMAND ${JAVA_RUN} ogrinfo -ro -al tmp_test/out2.shp)
  set_tests_properties(java_ogrinfo_3 PROPERTIES DEPENDS java_ogr2ogr_3)
  add_test(NAME java_OSRTransform COMMAND ${JAVA_RUN} OSRTransform)
  add_test(NAME java_gdalmajorobject COMMAND ${JAVA_RUN} gdalmajorobject)
  add_test(NAME java_GDALTestIO COMMAND ${JAVA_RUN} GDALTestIO)
  add_test(NAME java_GDALTestMultiDim COMMAND ${JAVA_RUN} GDALTestMultiDim)
  add_test(NAME java_GDALContour COMMAND ${JAVA_RUN} GDALContour -i 1 tmp_test/byte.tif tmp_test/contour.shp)
  add_test(NAME java_testgetpoints COMMAND ${JAVA_RUN} testgetpoints)
  add_test(NAME java_ogrtindex COMMAND ${JAVA_RUN} ogrtindex tmp_test/contour_index.shp tmp_test/contour.shp)
  set_tests_properties(java_ogrtindex PROPERTIES DEPENDS java_GDALContour)
  add_test(NAME java_OSRTest COMMAND ${JAVA_RUN} OSRTest)
  add_test(NAME java_test_ogrfielddomains COMMAND ${JAVA_RUN} test_ogrfielddomains)
  add_test(NAME java_GDALClose COMMAND ${JAVA_RUN} GDALClose)

  set(JAVA_TEST_LIST
          java_GDALOverviews
          java_gdalinfo
          java_ogr2ogr_1
          java_ogrinfo_1
          java_ogrinfo_2
          java_ogr2ogr_2
          java_ogr2ogr_3
          java_ogrinfo_3
          java_OSRTransform
          java_gdalmajorobject
          java_GDALTestIO
          java_GDALTestMultiDim
          java_GDALContour
          java_testgetpoints
          java_ogrtindex
          java_OSRTest
          java_test_ogrfielddomains
          java_GDALClose
  )
  if (OGR_ENABLE_DRIVER_CSV)
      add_test(NAME java_OGRTest COMMAND ${JAVA_RUN} OGRTest)
      list(APPEND JAVA_TEST_LIST java_OGRTest)
  endif()

  foreach (test_name IN LISTS JAVA_TEST_LIST)
    set_property(TEST ${test_name} PROPERTY ENVIRONMENT "${TEST_ENV}")
  endforeach ()

endif ()

=== swig/python/CMakeLists.txt ===
# CMake4GDAL project is distributed under MIT license. See accompanying file LICENSE.txt.

if (CMAKE_CXX_FLAGS)
  string(REPLACE "-Werror " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
  string(REPLACE "/WX " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
endif ()

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/osgeo/")
set(GDAL_PYTHON_CSOURCE_DIR "${CMAKE_CURRENT_BINARY_DIR}/extensions/")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/extensions/")
set(GDAL_PYTHON_CSOURCES
    ${GDAL_PYTHON_CSOURCE_DIR}/gdal_wrap.cpp ${GDAL_PYTHON_CSOURCE_DIR}/gdalconst_wrap.c
    ${GDAL_PYTHON_CSOURCE_DIR}/gnm_wrap.cpp ${GDAL_PYTHON_CSOURCE_DIR}/ogr_wrap.cpp
    ${GDAL_PYTHON_CSOURCE_DIR}/osr_wrap.cpp)

  list(APPEND GDAL_SWIG_COMMON_INTERFACE_FILES
       ${PROJECT_SOURCE_DIR}/swig/include/python/callback.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/gdal_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/generate_gdal_alg_methods.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/gnm_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/ogr_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/osr_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/python_exceptions.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/python_strings.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/typemaps_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_algorithm_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_band_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_dataset_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_driver_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_mdm_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_operations_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_rat_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_featuredef_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_feature_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_fielddef_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_fielddomain_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_geometry_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_layer_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/osr_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/osr_spatialreference_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/osr_coordinatetransformation_docs.i)

  set(GDAL_PYTHON_PYSOURCES
      ${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal.py ${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdalconst.py
      ${CMAKE_CURRENT_BINARY_DIR}/osgeo/gnm.py
      ${CMAKE_CURRENT_BINARY_DIR}/osgeo/ogr.py ${CMAKE_CURRENT_BINARY_DIR}/osgeo/osr.py)
  include(GdalSwigBindings)
  if( ${SWIG_VERSION} VERSION_LESS "4.1" )
      set(SWIG_PY3_DEPRECATED "-py3")
  endif()
  if( ${SWIG_VERSION} VERSION_GREATER_EQUAL "4.4" )
      # For compatibility with Python 3.13+ free-standing/no-gil builds
      # Note that this -nogil option has only effects on such Python builds
      # and is a no-op for classic gil-enabled Python builds.
      set(SWIG_NOGIL "-nogil")
  endif()
  gdal_swig_bindings(
    BINDING
    python
    ARGS
    -I${PROJECT_SOURCE_DIR}/swig/include/python/docs
    ${SWIG_PY3_DEPRECATED}
    -threads
    ${SWIG_NOGIL}
    -relativeimport
    -outdir
    ${CMAKE_CURRENT_BINARY_DIR}/osgeo)

  # gdal_array_wrap.cpp when NumPy exist
  if (Python_NumPy_FOUND)
    set(ARRAY_INPUT ${PROJECT_SOURCE_DIR}/swig/include/gdal_array.i)
    set(ARRAY_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/extensions/gdal_array_wrap.cpp)
    add_custom_command(
      OUTPUT ${ARRAY_OUTPUT} "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_array.py"
      COMMAND
        ${SWIG_EXECUTABLE} -Wall -I${PROJECT_SOURCE_DIR}/swig/include -I${PROJECT_SOURCE_DIR}/swig/include/python
        -I${PROJECT_SOURCE_DIR}/swig/include/python/docs ${SWIG_PY3_DEPRECATED} -threads ${SWIG_NOGIL} -relativeimport -outdir
        ${CMAKE_CURRENT_BINARY_DIR}/osgeo ${SWIG_DEFINES} -I${PROJECT_SOURCE_DIR}/gdal -c++ -python -o ${ARRAY_OUTPUT}
        ${ARRAY_INPUT}
      COMMAND ${CMAKE_COMMAND} ${WERROR_DEV_FLAG} "-DFILE=${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_array.py" -P ${PROJECT_SOURCE_DIR}/swig/python/modify_cpp_files.cmake
      DEPENDS ${ARRAY_INPUT}
              ${PROJECT_SOURCE_DIR}/swig/include/python/typemaps_python.i
              ${CMAKE_CURRENT_SOURCE_DIR}/modify_cpp_files.cmake
      COMMENT "Generate _gdal_array_wrap.so and gdal_array.py by SWiG command")
    list(APPEND GDAL_PYTHON_CSOURCES "${GDAL_PYTHON_CSOURCE_DIR}/gdal_array_wrap.cpp")
    list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_array.py")
  endif ()

  if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
      add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdalnumeric.py"
        COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/gdalnumeric.py"
                "${CMAKE_CURRENT_BINARY_DIR}/osgeo"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/gdalnumeric.py")
      list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdalnumeric.py")
  endif()

  if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
      add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/osgeo/__init__.py"
        COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/__init__.py" "${CMAKE_CURRENT_BINARY_DIR}/osgeo"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/__init__.py")
      list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/__init__.py")
  endif()

  if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
      add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_fsspec.py"
        COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/gdal_fsspec.py" "${CMAKE_CURRENT_BINARY_DIR}/osgeo"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/gdal_fsspec.py")
      list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_fsspec.py")
  endif()

add_custom_target(python_generated_files
  DEPENDS ${GDAL_PYTHON_PYSOURCES} ${GDAL_PYTHON_CSOURCES}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

function (symlink_or_copy source destination)
    file(
      CREATE_LINK ${source} ${destination}
      RESULT res
      SYMBOLIC)
    if (NOT res EQUAL 0)
      message(STATUS "Copying content of ${source} to ${destination}")
      execute_process(COMMAND ${CMAKE_COMMAND} -E copy_directory ${source} ${destination})
    endif ()
endfunction ()

if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    symlink_or_copy(${CMAKE_CURRENT_SOURCE_DIR}/gdal-utils ${CMAKE_CURRENT_BINARY_DIR}/gdal-utils)
endif()
symlink_or_copy(${CMAKE_CURRENT_SOURCE_DIR}/gdal-utils/osgeo_utils ${CMAKE_CURRENT_BINARY_DIR}/osgeo_utils)

get_property(_isMultiConfig GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
if (_isMultiConfig AND WIN32)
  set(ONLY_GENERATE_FOR_NON_DEBUG ON)
endif ()

if (Python_Interpreter_FOUND)
  if (ENABLE_GNM)
    set(GNM_ENABLED "True")
  else ()
    set(GNM_ENABLED "False")
  endif ()

  # Use the 'X.Y.Z' numbering scheme from libgdal by default for the gdal python package version number
  # And append a ".patch" if the patch is not 0.
  if(DEFINED ENV{GDAL_PYTHON_VERSION})
      set(GDAL_PYTHON_VERSION "$ENV{GDAL_PYTHON_VERSION}")
  else()
      set(GDAL_PYTHON_VERSION "${GDAL_VERSION_NO_DEV_SUFFIX}")
      if( NOT "${GDAL_VERSION_BUILD}" STREQUAL "0" )
          string(APPEND GDAL_PYTHON_VERSION ".${GDAL_VERSION_BUILD}")
      endif()
  endif()

  file(TO_NATIVE_PATH "${GDAL_PYTHON_CSOURCE_DIR}" GDAL_PYTHON_EXT_SOURCE_DIR)
  if (_isMultiConfig)
    set(GDAL_LIB_DIR "os.path.dirname('$<TARGET_FILE:${GDAL_LIB_TARGET_NAME}>')")
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in ${CMAKE_CURRENT_BINARY_DIR}/setup.py.tmp @ONLY)
    if (ONLY_GENERATE_FOR_NON_DEBUG)
      file(
        GENERATE
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py
        INPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py.tmp
        CONDITION "$<CONFIG:Release>")
      set(SETUP_PY_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/setup_$<CONFIG>.py")
    else ()
      set(SETUP_PY_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
    endif ()
    file(
      GENERATE
      OUTPUT "${SETUP_PY_FILENAME}"
      INPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py.tmp)
  else ()
    # Do not use file(GENERATE) as, for some unknown reason, it would cause cmake to be reinvoked every time make is
    # involved
    get_target_property(_gdal_lib_directory ${GDAL_LIB_TARGET_NAME} LIBRARY_OUTPUT_DIRECTORY)
    set(GDAL_LIB_DIR "'${_gdal_lib_directory}'")
    set(SETUP_PY_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in ${SETUP_PY_FILENAME} @ONLY)
  endif ()

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/README.rst ${CMAKE_CURRENT_BINARY_DIR}/README.rst @ONLY)

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/conftest.py ${CMAKE_CURRENT_BINARY_DIR}/conftest.py COPYONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pytest.ini ${CMAKE_CURRENT_BINARY_DIR}/pytest.ini COPYONLY)

  execute_process(
    COMMAND ${Python_EXECUTABLE} -c "import setuptools; print(setuptools.__version__)"
    OUTPUT_VARIABLE SETUPTOOLS_VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (SETUPTOOLS_VERSION VERSION_GREATER_EQUAL 77.0.3)
      configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyproject.toml.setuptools_gte_77 ${CMAKE_CURRENT_BINARY_DIR}/pyproject.toml @ONLY)
  else()
      configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyproject.toml ${CMAKE_CURRENT_BINARY_DIR}/pyproject.toml @ONLY)
  endif()

  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/get_suffix.py
       "from importlib.machinery import EXTENSION_SUFFIXES; print(EXTENSION_SUFFIXES[0])\n")
  execute_process(
    COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/get_suffix.py
    OUTPUT_VARIABLE PY_EXT_SUFFIX
    OUTPUT_STRIP_TRAILING_WHITESPACE)

  set(PY_SO_LIST osgeo/_gdal${PY_EXT_SUFFIX} osgeo/_gdalconst${PY_EXT_SUFFIX} osgeo/_gnm${PY_EXT_SUFFIX}
                 osgeo/_ogr${PY_EXT_SUFFIX} osgeo/_osr${PY_EXT_SUFFIX})
  if (Python_NumPy_FOUND)
    set(PY_SO_LIST ${PY_SO_LIST} osgeo/_gdal_array${PY_EXT_SUFFIX})
  endif ()

  # Generate extension
  if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.20 )
    cmake_path(CONVERT "${Python_EXECUTABLE}" TO_CMAKE_PATH_LIST Python_EXECUTABLE_CMAKE)
  else()
    set(Python_EXECUTABLE_CMAKE "${Python_EXECUTABLE}")
  endif()
  if (ONLY_GENERATE_FOR_NON_DEBUG)
    set(BUILD_EXT_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/build_ext_$<CONFIG>.cmake")
    file(
      GENERATE
      OUTPUT "${BUILD_EXT_FILENAME}"
      CONTENT
        "file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/build)
         execute_process(COMMAND $<IF:$<NOT:$<CONFIG:Debug>>,\"${Python_EXECUTABLE_CMAKE}\" \"${SETUP_PY_FILENAME}\" build_ext --inplace,${CMAKE_COMMAND} -E echo \"setup.py build_ext only run in configuration != Debug\"> RESULT_VARIABLE res)
         if(NOT res EQUAL 0)
           message(FATAL_ERROR \"setup.py bdist_wheel failed\")
         endif()"
      )
  else ()
    set(BUILD_EXT_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/build_ext.cmake")
    file(
      GENERATE
      OUTPUT "${BUILD_EXT_FILENAME}"
      CONTENT
         "file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/build)\n
          execute_process(COMMAND \"${Python_EXECUTABLE_CMAKE}\" \"${SETUP_PY_FILENAME}\" build_ext --inplace RESULT_VARIABLE res)
          if(NOT res EQUAL 0)
            message(FATAL_ERROR \"setup.py bdist_wheel failed\")
          endif()"
      )
  endif ()

  if(CMAKE_NM AND BUILD_SHARED_LIBS AND NOT _isMultiConfig)
      # Optimization to avoid rebuilding the .o and .so each time libgdal
      # is touched. We only consider the list of exported symbols as the

=== ogr/ogrsf_frmts/gmlutils/CMakeLists.txt ===
add_library(
  gmlutils OBJECT
  gmlfeature.cpp
  gmlfeatureclass.cpp
  gmlpropertydefn.cpp
  gmlutils.cpp
  parsexsd.h
  parsexsd.cpp
  ogrwfsfilter.cpp
)
gdal_standard_includes(gmlutils)
add_dependencies(gmlutils generate_gdal_version_h)
set_property(TARGET gmlutils PROPERTY POSITION_INDEPENDENT_CODE ${GDAL_OBJECT_LIBRARIES_POSITION_INDEPENDENT_CODE})
target_sources(${GDAL_LIB_TARGET_NAME} PRIVATE $<TARGET_OBJECTS:gmlutils>)
target_compile_options(gmlutils PRIVATE ${GDAL_CXX_WARNING_FLAGS} ${WFLAG_OLD_STYLE_CAST} ${WFLAG_EFFCXX})

target_compile_definitions(gmlutils PRIVATE OGR_P_WITH_SRS_CACHE)

=== debian/changelog ===
gdal (3.12.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Dec 2025 15:50:20 +0100

## gdal 3.12.2~rc1+dfsg

=== ogr/ogrsf_frmts/parquet/CMakeLists.txt ===
include("${CMAKE_CURRENT_SOURCE_DIR}/../../../cmake/helpers/GdalCMakeMinimumRequired.cmake")
cmake_minimum_required(VERSION ${GDAL_CMAKE_VERSION_MIN}...${GDAL_CMAKE_VERSION_MAX})

if(NOT DEFINED PROJECT_SOURCE_DIR)
    # Standalone plugin building
    project(ogr_Parquet)
    # The driver depends on some non exported headers. Make sure the version we
    # build against against is the same as this source tree.
    set(STRICT_VERSION_CHECK ON)
    include("${PROJECT_SOURCE_DIR}/../../../cmake/helpers/SetupStandalonePlugin.cmake" )
    include(CheckDependentLibrariesArrowParquet)
    standalone_driver_finalize(OGR_ENABLE_DRIVER_PARQUET)
endif()

add_gdal_driver(TARGET ogr_Parquet
                SOURCES ogrparquetdriver.cpp
                        ogrparquetdataset.cpp
                        ogrparquetlayer.cpp
                        ogrparquetwriterdataset.cpp
                        ogrparquetwriterlayer.cpp
                CORE_SOURCES
                        ogrparquetdrivercore.cpp
                PLUGIN_CAPABLE
                SKIP_GDAL_PRIV_HEADER  # because we may need to use C++20
                NO_SHARED_SYMBOL_WITH_CORE)

if(NOT TARGET ogr_Parquet)
    return()
endif()

gdal_standard_includes(ogr_Parquet)
if (STANDALONE)
target_compile_definitions(ogr_Parquet PRIVATE STANDALONE)
target_include_directories(ogr_Parquet PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../../port
                                               ${CMAKE_CURRENT_SOURCE_DIR}/../generic
                                               ${CMAKE_CURRENT_SOURCE_DIR}/../../frmts/mem
                                               ${CMAKE_CURRENT_SOURCE_DIR}/../..
)
else()
target_include_directories(ogr_Parquet PRIVATE $<TARGET_PROPERTY:ogrsf_generic,SOURCE_DIR>)
endif()

if(${Parquet_VERSION} VERSION_GREATER_EQUAL 10.0)
    if(ARROW_USE_STATIC_LIBRARIES)
        gdal_target_link_libraries(ogr_Parquet PRIVATE Arrow::arrow_static Parquet::parquet_static)
    else()
        gdal_target_link_libraries(ogr_Parquet PRIVATE Arrow::arrow_shared Parquet::parquet_shared)
    endif()
else()
    if(ARROW_USE_STATIC_LIBRARIES)
        gdal_target_link_libraries(ogr_Parquet PRIVATE arrow_static parquet_static)
    else()
        gdal_target_link_libraries(ogr_Parquet PRIVATE arrow_shared parquet_shared)
    endif()
endif()

if (GDAL_USE_ARROWDATASET)
    target_compile_definitions(ogr_Parquet PRIVATE -DGDAL_USE_ARROWDATASET)
    if(${ArrowDataset_VERSION} VERSION_GREATER_EQUAL 10.0)
        if(ARROW_USE_STATIC_LIBRARIES)
            gdal_target_link_libraries(ogr_Parquet PRIVATE ArrowDataset::arrow_dataset_static)
        else()
            gdal_target_link_libraries(ogr_Parquet PRIVATE ArrowDataset::arrow_dataset_shared)
        endif()
    else()
        if(ARROW_USE_STATIC_LIBRARIES)
            gdal_target_link_libraries(ogr_Parquet PRIVATE arrow_dataset_static)
        else()
            gdal_target_link_libraries(ogr_Parquet PRIVATE arrow_dataset_shared)
        endif()
    endif()
    target_sources(ogr_Parquet PRIVATE ogrparquetdatasetlayer.cpp)
endif()

if (GDAL_USE_ARROWCOMPUTE)
    target_compile_definitions(ogr_Parquet PRIVATE -DGDAL_USE_ARROWCOMPUTE)
    if(ARROW_USE_STATIC_LIBRARIES)
        gdal_target_link_libraries(ogr_Parquet PRIVATE ArrowCompute::arrow_compute_static)
    else()
        gdal_target_link_libraries(ogr_Parquet PRIVATE ArrowCompute::arrow_compute_shared)
    endif()
endif()

=== debian/changelog ===
gdal (3.12.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Feb 2026 16:37:19 +0100

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               doxygen,
               graphviz,
               chrpath,
               bash-completion,
               libarchive-dev,
               libarmadillo-dev,
               libavif-dev,
               libblosc-dev,
               libcfitsio-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdeflate-dev,
               libexpat1-dev,
               libexprtk-dev,
               libfreexl-dev (>= 1.0.0),
               libfyba-dev,
               libgeos-dev,
               libgeotiff-dev (>= 1.5.0),
               libgif-dev,
               libhdf4-dev,
               libhdf5-dev (>= 1.8.8),
               libheif-dev,
               libjpeg-dev,
               libjson-c-dev,
               libjxl-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblz4-dev,
               liblzma-dev,
               libmuparser-dev,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libopenjp2-7-dev,
               libpcre2-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev (>= 6.0.0),
               libqhull-dev,
               libspatialite-dev,
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               libzstd-dev,
               netcdf-bin,
               patch,
               pkgconf,
               pkg-kde-tools,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b experimental
Homepage: http://www.gdal.org/

Package: libgdal38
Architecture: any
Multi-Arch: same
Section: libs
Depends: gdal-data (>= ${source:Version}),
         gdal-plugins (>= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal38 (= ${binary:Version}),
         libarchive-dev,
         libarmadillo-dev,
         libavif-dev,
         libblosc-dev,
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdeflate-dev,
         libexpat1-dev,
         libexprtk-dev,
         libfreexl-dev,
         libfyba-dev,
         libgeos-dev,
         libgeotiff-dev (>= 1.5.0),
         libgif-dev,
         libhdf4-dev,
         libhdf5-dev,
         libheif-dev,
         libjpeg-dev,
         libjson-c-dev,
         libjxl-dev,
         libkml-dev,
         libltdl-dev,
         liblz4-dev,
         liblzma-dev,
         libmuparser-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libopenjp2-7-dev,
         libpcre2-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev (>= 6.0.0),
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         libzstd-dev,
         unixodbc-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script).

Package: gdal-bin
Architecture: any
Multi-Arch: foreign
Depends: python3-gdal (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-plugin-grass
Breaks: gdal-bin (<< 1.10.0-0~),
        python-gdal (<< 2.4.3~)
Replaces: python-gdal (<< 2.4.3~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: gdal-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Data files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the GDAL data files.

Package: gdal-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Plugins
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains data for the plugins.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for the GDAL/OGR library.
